<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: GPIO_DBNCECON_T Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">GPIO_DBNCECON_T Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>GPIO debounce register map.  
 <a href="struct_g_p_i_o___d_b_n_c_e_c_o_n___t.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a607bc41d0e1f56a3f88eef20ece5000a"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_p_i_o___d_b_n_c_e_c_o_n___t.html#a607bc41d0e1f56a3f88eef20ece5000a">DBNCECON</a></td></tr>
<tr class="separator:a607bc41d0e1f56a3f88eef20ece5000a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>GPIO debounce register map. </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l03583">3583</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a607bc41d0e1f56a3f88eef20ece5000a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a607bc41d0e1f56a3f88eef20ece5000a">&#9670;&nbsp;</a></span>DBNCECON</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GPIO_DBNCECON_T::DBNCECON</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">DBNCECON
</font><br><p> <font size="2">
Offset: 0x180  Interrupt De-bounce Control
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[3:0]</td><td>DBCLKSEL</td><td><div style="word-wrap: break-word;"><b>De-bounce Sampling Cycle Selection
</b><br>
0000 = Sample interrupt input once per 1 clock.
<br>
0001 = Sample interrupt input once per 2 clocks.
<br>
0010 = Sample interrupt input once per 4 clocks.
<br>
0011 = Sample interrupt input once per 8 clocks.
<br>
0100 = Sample interrupt input once per 16 clocks.
<br>
0101 = Sample interrupt input once per 32 clocks.
<br>
0110 = Sample interrupt input once per 64 clocks.
<br>
0111 = Sample interrupt input once per 128 clocks.
<br>
1000 = Sample interrupt input once per 256 clocks.
<br>
1001 = Sample interrupt input once per 2*256 clocks.
<br>
1010 = Sample interrupt input once per 4*256 clocks.
<br>
1011 = Sample interrupt input once per 8*256 clocks.
<br>
1100 = Sample interrupt input once per 16*256 clocks.
<br>
1101 = Sample interrupt input once per 32*256 clocks.
<br>
1110 = Sample interrupt input once per 64*256 clocks.
<br>
1111 = Sample interrupt input once per 128*256 clocks.
<br>
</div></td></tr><tr><td>
[4]</td><td>DBCLKSRC</td><td><div style="word-wrap: break-word;"><b>De-bounce Counter Clock Source Selection
</b><br>
0 = De-bounce counter clock source is the HCLK.
<br>
1 = De-bounce counter clock source is the 10 kHz internal low speed oscillator.
<br>
</div></td></tr><tr><td>
[5]</td><td>ICLK_ON</td><td><div style="word-wrap: break-word;"><b>Interrupt Clock On Mode
</b><br>
0 = Edge detection circuit is active only if I/O pin corresponding Px_IEN bit is set to 1.
<br>
1 = All I/O pins edge detection circuit is always active after reset.
<br>
Note: It is recommended to turn off this bit to save system power if no special application concern.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l03652">3652</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Mini51Series/Include/<a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:45 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
